BizKitHub
DocsAPI ReferenceBff/bff/carrier/config-save
postBffAdmin BFF

/bff/carrier/config-save

No description provided.

bffpostBffCarrierConfig-save

Parameters

JSON body

Request body

application/json
externalIdstringOptional
carrierIdnumberRequired
labelstringRequired
Length: 0–64
credentialsobjectRequired
senderobjectRequired
namestringRequired
streetstringRequired
citystringRequired
zipstringRequired
countrystringRequired
Length: 2–2
phonestringOptional
emailstringOptional
defaultServiceCodestringOptional
isSandboxbooleanRequired
isActivebooleanRequired

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/carrier/config-save

post
curl -X POST "https://api.bizkithub.com/bff/carrier/config-save" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "externalId": "example_externalId",
  "carrierId": 0,
  "label": "example_label",
  "credentials": {},
  "sender": {
    "name": "example_name",
    "street": "example_street",
    "city": "example_city",
    "zip": "example_zip",
    "country": "example_country",
    "phone": "example_phone",
    "email": "example_email"
  },
  "defaultServiceCode": "example_defaultServiceCode",
  "isSandbox": false,
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key